Skip to content

Get a list of identities

Request

Retrieve identities for your organization with optional filters.

Use limit and next-token for pagination. The response includes a data array and an optional nextToken.

Security
Bearer
Query
payment-rolestring

Filter by payment role.

Example:payment-role=BENEFICIARY
nick-namestring, <= 256 characters

Filter by nickname.

Example:nick-name=Alice
limitinteger, >= 1

Maximum number of identities to return. Default value is 10, maximum is 100.

Default:10
Example:limit=20
next-tokenstring

Opaque token to fetch the next page of results.

Example:next-token=eyJrZXkxIjoidmFsdWVfMSIsImtleTIiOiJ2YWx1ZTIifQ==
curl -i -X GET \
  'https://docs.ripple.com/_mock/products/payments-direct-2/api-docs/payments-direct-api/payments-direct-2-api/v3/identities?payment-role=BENEFICIARY&nick-name=Alice&limit=20&next-token=eyJrZXkxIjoidmFsdWVfMSIsImtleTIiOiJ2YWx1ZTIifQ%3D%3D' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

A page of identities.

Bodyapplication/json
(application/json)
dataArray of objects

The list of the identities that match the query parameters

nextTokenstring

The token to retrieve the next page of results

Response
{ "data": [ { … }, { … } ], "nextToken": "eyJrZXkxIjoidmFsdWUifQ==" }